<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToFactionWork](./bitburner.sleeve.settofactionwork.md)

## Sleeve.setToFactionWork() method

Set a sleeve to work for a faction.

**Signature:**

```typescript
setToFactionWork(
    sleeveNumber: number,
    factionName: FactionName,
    factionWorkType: FactionWorkType,
  ): boolean | undefined;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sleeveNumber


</td><td>

number


</td><td>

Index of the sleeve to work for the faction.


</td></tr>
<tr><td>

factionName


</td><td>

[FactionName](./bitburner.factionname.md)


</td><td>

Name of the faction to work for.


</td></tr>
<tr><td>

factionWorkType


</td><td>

[FactionWorkType](./bitburner.factionworktype.md)


</td><td>

Name of the action to perform for this faction.


</td></tr>
</tbody></table>

**Returns:**

boolean \| undefined

True if the sleeve started working for this faction, false otherwise. Can also throw on errors.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not the sleeve started working for a faction.

